Aller au contenu principal

Utilisez les flèches pour naviguer, Entrée pour sélectionner, Échap pour fermer le menu.

Comment choisir un outil de chiffrement

Cinq faits vérifiables décident si un outil de chiffrement mérite votre confiance. Où le chiffrement s'exécute, qui détient la clé, quelle norme, quels paramètres, si le modèle de menace convient à vos données, et ce que le service conserve après la fermeture de l'onglet. Les slogans n'y répondent jamais. La suite les examine dans l'ordre qui compte.

Commencer par le lieu du chiffrement

Observer l'onglet Réseau

Le chiffrement peut s'exécuter dans le navigateur avant l'envoi, sur le serveur après l'envoi, ou entre les deux. Le lieu détermine ce que le fournisseur peut voir. Dès qu'un texte en clair ou une clé brute traverse le réseau, son personnel, ses journaux et ses sauvegardes entrent dans votre surface d'attaque, indépendamment des intentions.

Ouvrez les outils de développement et observez l'onglet Réseau pendant que vous chiffrez une courte chaîne de test. Un outil côté client ne transmet rien à cette étape. Un outil côté serveur envoie votre texte et renvoie des données chiffrées. Cette observation vaut plus que n'importe quelle liste de fonctions.

À vous de jouer : ouvrez l'onglet Réseau et chiffrez une courte chaîne.

  • Vérifiez si les données sont chiffrées avant de quitter l'appareil
  • Testez si un rechargement de page abandonne la clé
  • Chiffrez une fois avec la connexion réseau désactivée

Identifier qui détient la clé

Que rouvre une réinitialisation ?

La garde de la clé est la deuxième question, et elle tranche souvent les autres. Beaucoup d'approches zéro connaissance dérivent une clé dans le navigateur à partir de votre phrase secrète et ne la transmettent jamais. Vous gagnez un contrôle réel et vous perdez la récupération : personne, pas même l'exploitant, ne peut reconstruire la clé à partir de ce que le serveur stocke.

Certains services conservent une copie de votre clé pour restaurer un compte. C'est un échange légitime, à lire comme tel. Si un exploitant peut restaurer vos données sur demande, toute personne qui obtient son accès le peut aussi. Posez la question : pouvez-vous déchiffrer mes données sans ma phrase secrète ?

À vous de jouer : demandez si une réinitialisation rouvre les anciens fichiers.

  • Demandez si une réinitialisation rouvre aussi les anciens contenus
  • Cherchez la garde de clé et les clés de récupération
  • Décidez ce qui prime : récupération ou garde exclusive

Vérifier les algorithmes, les modes et les paramètres

Nommer, pas suggérer

Un outil sérieux nomme ses primitives. AES-256-GCM est spécifié dans FIPS 197 et NIST SP 800-38D et assure la confidentialité ainsi qu'une étiquette d'authentification qui détecte toute modification. ChaCha20-Poly1305, défini dans la RFC 8439, convient lorsque l'accélération matérielle d'AES manque. La dérivation de clé compte autant : PBKDF2 est défini dans la RFC 8018, Argon2 dans la RFC 9106, et le nombre d'itérations ou le coût mémoire fixe le prix d'une devinette sur votre phrase secrète.

Les paramètres appartiennent à la documentation, à côté du nom des algorithmes. Un outil qui annonce AES-256 sans mode, longueur de sel, gestion du nonce ni coût de dérivation vous laisse deviner l'essentiel.

À vous de jouer : notez norme, mode, sel et coût de dérivation.

  • Cherchez FIPS 197, NIST SP 800-38D, RFC 8439, RFC 8018 ou RFC 9106
  • Contrôlez l'étiquette d'authentification : GCM utilise 128 bits par défaut
  • Considérez une promesse de force sans paramètre comme une réponse manquante

Définir la menace, puis vérifier les affirmations

Refaire le calcul soi-même

Commencez par écrire l'adversaire dont vous vous défendez : un ordinateur volé, un poste partagé, une réquisition adressée au fournisseur, un observateur du réseau ou une collègue sur le même compte. Aucun outil ne les couvre tous. Le chiffrement côté client en couvre plusieurs et n'aide pas contre un poste compromis. Si la récupération compte plus que la garde exclusive, choisissez un service qui l'assure et le dit. Les extensions malveillantes, les enregistreurs de frappe et un système hostile voient votre texte en clair avant qu'une primitive ne s'exécute.

Vérifier signifie reproduire une affirmation sur sa propre machine. La W3C Web Crypto API est documentée sur MDN ; la même primitive s'exécute dans la console via crypto.subtle.generateKey, avec AES-GCM et une clé de 256 bits. Pour un fichier, déchiffrez un échantillon avec une implémentation indépendante comme crypto.createDecipheriv de Node, puis comparez le résultat. Un code source public n'aide que si vous lisez le code réellement exécuté : vérifiez que le paquet livré correspond aux sources publiées.

À vous de jouer : refaites un appel crypto et comparez le résultat.

ScénarioCe qu'il faut vérifier
Appareil perdu ou voléLa clé n'est pas stockée avec le chiffré.
Ordinateur partagéFermer l'onglet efface la saisie et la clé.
Violation chez le fournisseurAucune donnée utile côté serveur ne peut être dérobée.
Demande légale au fournisseurIl n'existe ni clé ni texte en clair à remettre.

Lire la conservation, la suppression et le mode hors ligne

Expiration et suppression

La conservation détermine combien de temps survivent les données chiffrées, les métadonnées et les journaux. Un service qui ne stocke rien n'a rien à remettre ; celui qui garde des blocs chiffrés a besoin d'une règle d'expiration claire. Cherchez une durée écrite, une suppression qui retire vraiment l'objet et une phrase sur ce qui subsiste dans les sauvegardes.

Le mode hors ligne relève de la même revue. Si la page chiffre encore une fois la connexion coupée, la cryptographie est locale et l'outil reste utilisable en avion, dans un réseau verrouillé ou après la disparition du service. Un outil qui échoue sans aller-retour réseau travaille sur un serveur, quoi que suggère l'interface.

À vous de jouer : coupez le réseau, chiffrez, et voyez ce qui marche.

  • Exigez la durée de conservation par écrit
  • Testez la suppression et vérifiez que les données quittent votre compte
  • Chargez la page, coupez le réseau, puis chiffrez un test

Questions fréquentes

Comment choisir un outil de chiffrement fiable ?

Commencez par le lieu et la garde de la clé : ces deux réponses éliminent la majorité des candidats. Exigez ensuite des algorithmes nommés avec leurs paramètres publiés, une règle de conservation lisible et un moyen de tester le chiffrement vous-même. Si l'un de ces points manque, l'absence est la réponse.

Quels critères privilégier pour évaluer un outil de chiffrement ?

Cinq contrôles couvrent l'essentiel : où le chiffrement s'exécute, qui détient la clé, quelle norme, quels paramètres, ce que le service conserve et si le modèle de menace convient. La vérifiabilité traverse les cinq : pouvez-vous confirmer chacun sur votre propre matériel ? Les outils qui répondent par écrit aux cinq sont rares, ce qui est déjà instructif.

Un outil de chiffrement doit-il publier son code source ?

Publier le code permet un examen indépendant, sans être une preuve à soi seul. Un dépôt public n'aide que si vous confirmez que le code exécuté en provient et si une personne compétente a examiné la cryptographie. Un outil fermé peut être honnête ; vous vous appuyez alors sur sa documentation et vos propres tests réseau.

Testez la liste sur un outil réel

Ouvrez les outils du navigateur, chiffrez une courte chaîne de test et observez l'onglet Réseau. Aucun compte requis.